import java.io.*;

class FileCopy {
	public static void main(String[] args) {
		String quelle = "quelle.dat", ziel = "ziel.dat";
		final int buflen = 1048576;
		byte[] buffer = new byte[buflen];
		int nread;
		long total = 0;
		long zeit = System.currentTimeMillis();
		try {
			FileInputStream  fis = new FileInputStream(quelle);
			FileOutputStream fos = new FileOutputStream(ziel);
			System.out.println("Kopieren von "+quelle+" in "+ziel+
					           " startet (* = "+buflen+" Bytes):");
			while (true) {
				nread = fis.read(buffer, 0, Math.min(buflen, fis.available()));
				if (nread == 0)
					break;
				else {
					fos.write(buffer, 0, nread);
					total += nread;
					System.out.print("*");
				}
			}
			fis.close();
			fos.close();
		} catch (IOException e) {
			System.out.println(e);
			System.exit(1);
		}
		zeit = System.currentTimeMillis() - zeit;
		System.out.println("\nEs wurden "+total+" Bytes kopiert. "+
				"(Benoetigte Zeit: "+zeit+" Millisekunden.)");
	}
}