class Fakul {
	static int kon2int(String instr) throws BadFakulArgException {
		int arg;
		try {
			arg = Integer.parseInt(instr);
			if (arg < 0  || arg > 170)
				throw new BadFakulArgException("Unzulaessiges Argument", instr, 2, arg);
			else
				return arg;
		}
		catch (NumberFormatException e) {
			throw new BadFakulArgException("Fehler beim Konvertieren", instr, 1, -1);
		}
	}

	public static void main(String[] args) {
		int argument = -1;
		if (args.length == 0) {
			System.out.println("Kein Argument angegeben");
			System.exit(1);
		}

		try {
			argument = kon2int(args[0]);
			double fakul = 1.0;
			for (int i = 1; i <= argument; i++)
					fakul = fakul * i;
			System.out.println("Fakultaet: " + fakul);
		}
		catch (BadFakulArgException e) {
			System.out.println("Wg. Fehler " + e.getError() + " (" +
                        e.getMessage() + ") keine Berechnung moeglich.");
			switch (e.getError()) {
				case 1 :	System.out.println("String: \""+e.getInstr()+"\"");
							break;
				case 2 :	System.out.println("Wert: "+e.getValue());
							break;
			}
		}
	}
}
