public class Duration {
	private int hours, minutes, seconds;

	public Duration(int h, int min, int sec) {
		setDuration(h, min, sec);
	}

	public Duration(long secTotal) {
		setDuration(secTotal);
	}
	
	public Duration() {}

	public void setDuration(int h, int min, int sec) {
		hours = h;
		minutes = (min >= 0 && min < 60?min:0);
		seconds = (sec >= 0 && sec < 60?sec:0);
	}

	public int getHours() {
		return hours;
	}

	public int getMinutes() {
		return minutes;
	}

	public int getSeconds() {
		return seconds;
	}

	public void setHours(int h) {
		hours = h;
	}

	public void setMinutes(int min) {
		minutes = (min >= 0 && min < 60?min:0);
	}

	public void setSeconds(int sec) {
		seconds = (sec >= 0 && sec < 60?sec:0);
	}
	
	public void setDuration(long secTotal) {
		hours = (int) secTotal/3600;
		minutes = (int) (secTotal-hours*3600)/60;
		seconds = (int) secTotal-hours*3600-minutes*60;
	}

	public long toSeconds() {
		return hours * 3600 + minutes * 60 + seconds;
	}

	public String toString(){
		return String.format("%02d:%02d:%02d %s", hours, minutes, seconds, "h:m:s");
	}
}
