public class Time {
	private int hours, minutes, seconds;
	private final int SECDAY = 86400;
	
	public Time(int h, int min, int sec) {
		setTime(h, min, sec);
	}

	public Time(long secTotal) {
		setTime(secTotal);
	}

	public Time() {}
	
	public void setTime(int h, int min, int sec) {
		if ((h >= 0 && h < 24) && 
			(min >= 0 && min < 60) && 
			(sec >= 0 && sec < 60)) { 
			hours = h;
			minutes = min;
			seconds = sec;
		}
	}

	public void setTime(long secTotal) {
		if (secTotal < SECDAY) {
			hours = (int) secTotal/3600;
			minutes = (int) (secTotal-hours*3600)/60;
			seconds = (int) secTotal-hours*3600-minutes*60;
		}
	}

	public void setTime(Time t) {
		hours = t.hours;
		minutes = t.minutes;
		seconds = t.seconds;
	}
	
	public int getHours() {
		return hours;
	}

	public int getMinutes() {
		return minutes;
	}

	public int getSeconds() {
		return seconds;
	}

	public void setHours(int h) {
		if (h >= 0 && h < 24)
			hours = h;
	}

	public void setMinutes(int min) {
		if (min >= 0 && min < 60)
			minutes = min;
	}

	public void setSeconds(int sec) {
		if (sec >= 0 && sec < 60)
			seconds = sec;
	}
	
	public long toSeconds() {
		return hours * 3600 + minutes * 60 + seconds;
	}
	
	public Duration getDistanceTo(Time t) {
		Duration d = new Duration();
		if (toSeconds() <= t.toSeconds())
			d.setDuration(t.toSeconds() - toSeconds()); // selber Tag
		else {
			d.setDuration(SECDAY - toSeconds() + t.toSeconds()); // nchster Tag
		}
		return d;
	}

	public void addDuration(Duration d) {
		setTime((toSeconds() + d.toSeconds())%SECDAY);
	}
	
	public String toString(){
		return String.format("%02d:%02d:%02d %s", hours, minutes, seconds, "Uhr");
	}
}