import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class Sound extends Applet implements ActionListener {
	private Button start = new Button("Start");
	private Button wechseln = new Button("Wechseln");
	private Button stop = new Button("Stopp");
	private Label label = new Label("");
	private final static int maxclip = 7;
	private int actclip = 0;
	private boolean music;
	private AudioClip[] clip = new AudioClip[maxclip];
	private String[] song = new String[maxclip];

	public void init() {
		setBackground(Color.WHITE);
		setLayout(new BorderLayout());
		start.addActionListener(this);
		wechseln.addActionListener(this);
		stop.addActionListener(this);

		add(start, BorderLayout.WEST);
		add(wechseln, BorderLayout.CENTER);
		add(stop, BorderLayout.EAST);
		add(label, BorderLayout.SOUTH);

		java.net.URL cb = getCodeBase();
		clip[0] = getAudioClip(cb,"chirp1.au");
		song[0] = "Vogel-Geschwister (.au)";
		clip[1] = getAudioClip(cb,"Kuckuck.au");
		song[1] = "Kuckuck (.au)";
		clip[2] = getAudioClip(cb,"trippygaia1.mid");
		song[2] = "Trippygaia (mid)";
		clip[3] = getAudioClip(cb,"minuet.mid");
		song[3] = "Menuett (mid)";
		clip[4] = getAudioClip(cb,"reggae.mid");
		song[4] = "Reggae (mid)";
		clip[5] = getAudioClip(cb,"jazz.mid");
		song[5] = "Jazz (mid)";
		clip[6] = getAudioClip(cb,"weissNicht.mid");
		song[6] = "Keine Ahnung (mid)";
		label.setText(song[0]);
	}

	public void stop() {
		clip[actclip].stop();
	}

	public void start() {
		if (music)
			clip[actclip].loop();
	}

	public void destroy () {
		clip[actclip].stop();
	}
	
	public void actionPerformed(ActionEvent e) {
		clip[actclip].stop();
		if (e.getSource() == stop)
			music = false;
		else {
			if (e.getSource() == wechseln) {
				if (actclip < maxclip-1)
			    	actclip++;
			    else
			    	actclip = 0;
				label.setText(song[actclip]);
		 	} else	// Source == start
				music = true;
	 		if (music)
	 			clip[actclip].loop();
		}
	}
}